org.jboss.jca.common.metadata.common

## Class XaPoolImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.common.PoolImpl
  - - org.jboss.jca.common.metadata.common.XaPoolImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.common.Pool, org.jboss.jca.common.api.metadata.common.XaPool, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.ValidatableMetadata
  Direct Known Subclasses:
    DsXaPoolImpl

      public class XaPoolImpl
      extends PoolImpl
      implements org.jboss.jca.common.api.metadata.common.XaPool

  A XaPoolImpl.
  Author:
    Stefano Maestri
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.common.XaPool

      `org.jboss.jca.common.api.metadata.common.XaPool.Tag`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Boolean` | `interleaving` interleaving
    `protected java.lang.Boolean` | `isSameRmOverride` is-same-rm-override
    `protected java.lang.Boolean` | `noTxSeparatePool` no-tx-separate-pool
    `protected java.lang.Boolean` | `padXid` pad-xid
    `protected java.lang.Boolean` | `wrapXaResource` wrap-xa-resource

    - ### Fields inherited from class org.jboss.jca.common.metadata.common.PoolImpl

      `capacity, fair, flushStrategy, initialPoolSize, maxPoolSize, minPoolSize, prefill, useStrictMin`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XaPoolImpl(java.lang.Integer minPoolSize, java.lang.Integer initialPoolSize, java.lang.Integer maxPoolSize, java.lang.Boolean prefill, java.lang.Boolean useStrictMin, org.jboss.jca.common.api.metadata.common.FlushStrategy flushStrategy, org.jboss.jca.common.api.metadata.common.Capacity capacity, java.lang.Boolean fair, java.lang.Boolean isSameRmOverride, java.lang.Boolean interleaving, java.lang.Boolean padXid, java.lang.Boolean wrapXaResource, java.lang.Boolean noTxSeparatePool)` Create a new XaPoolImpl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.Boolean` | `isInterleaving()` Get the interleaving.
    `java.lang.Boolean` | `isNoTxSeparatePool()` Get the noTxSeparatePool.
    `java.lang.Boolean` | `isPadXid()` Get the padXid.
    `java.lang.Boolean` | `isSameRmOverride()` Get the isSameRmOverride.
    `java.lang.Boolean` | `isWrapXaResource()` Get the wrapXaResource.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.jboss.jca.common.metadata.common.PoolImpl

      `getCapacity, getFlushStrategy, getInitialPoolSize, getMaxPoolSize, getMinPoolSize, isFair, isPrefill, isUseStrictMin, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.common.Pool

      `getCapacity, getFlushStrategy, getInitialPoolSize, getMaxPoolSize, getMinPoolSize, isFair, isPrefill, isUseStrictMin`

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.ValidatableMetadata

      `validate`

- - ### Field Detail

    - #### isSameRmOverride

          protected java.lang.Boolean isSameRmOverride

      is-same-rm-override

    - #### interleaving

          protected java.lang.Boolean interleaving

      interleaving

    - #### padXid

          protected java.lang.Boolean padXid

      pad-xid

    - #### wrapXaResource

          protected java.lang.Boolean wrapXaResource

      wrap-xa-resource

    - #### noTxSeparatePool

          protected java.lang.Boolean noTxSeparatePool

      no-tx-separate-pool

  - ### Constructor Detail

    - #### XaPoolImpl

          public XaPoolImpl(java.lang.Integer minPoolSize,
                            java.lang.Integer initialPoolSize,
                            java.lang.Integer maxPoolSize,
                            java.lang.Boolean prefill,
                            java.lang.Boolean useStrictMin,
                            org.jboss.jca.common.api.metadata.common.FlushStrategy flushStrategy,
                            org.jboss.jca.common.api.metadata.common.Capacity capacity,
                            java.lang.Boolean fair,
                            java.lang.Boolean isSameRmOverride,
                            java.lang.Boolean interleaving,
                            java.lang.Boolean padXid,
                            java.lang.Boolean wrapXaResource,
                            java.lang.Boolean noTxSeparatePool)
                     throws org.jboss.jca.common.api.validator.ValidateException

      Create a new XaPoolImpl.
      Parameters:
        `minPoolSize` - minPoolSize
        `initialPoolSize` - initialPoolSize
        `maxPoolSize` - maxPoolSize
        `prefill` - prefill
        `useStrictMin` - useStrictMin
        `flushStrategy` - flushStrategy
        `capacity` - capacity
        `isSameRmOverride` - isSameRmOverride
        `interleaving` - interleaving
        `padXid` - padXid
        `wrapXaResource` - wrapXaResource
        `noTxSeparatePool` - noTxSeparatePool
        `fair` - fair
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - ValidateException

  - ### Method Detail

    - #### isSameRmOverride

          public java.lang.Boolean isSameRmOverride()

      Get the isSameRmOverride.
      Specified by:
        `isSameRmOverride` in interface `org.jboss.jca.common.api.metadata.common.XaPool`
      Returns:
        the isSameRmOverride.

    - #### isInterleaving

          public java.lang.Boolean isInterleaving()

      Get the interleaving.
      Specified by:
        `isInterleaving` in interface `org.jboss.jca.common.api.metadata.common.XaPool`
      Returns:
        the interleaving.

    - #### isPadXid

          public java.lang.Boolean isPadXid()

      Get the padXid.
      Specified by:
        `isPadXid` in interface `org.jboss.jca.common.api.metadata.common.XaPool`
      Returns:
        the padXid.

    - #### isWrapXaResource

          public java.lang.Boolean isWrapXaResource()

      Get the wrapXaResource.
      Specified by:
        `isWrapXaResource` in interface `org.jboss.jca.common.api.metadata.common.XaPool`
      Returns:
        the wrapXaResource.

    - #### isNoTxSeparatePool

          public java.lang.Boolean isNoTxSeparatePool()

      Get the noTxSeparatePool.
      Specified by:
        `isNoTxSeparatePool` in interface `org.jboss.jca.common.api.metadata.common.XaPool`
      Returns:
        the noTxSeparatePool.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `PoolImpl`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `PoolImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `PoolImpl`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)